Bug 13872 - Typographical error on columns_settings.tt
Summary: Typographical error on columns_settings.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-19 02:53 UTC by Héctor Eduardo Castro Avalos
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13872 - Typographical error on columns_settings.tt (2.73 KB, patch)
2015-03-19 03:12 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[Signed off] Bug 13872 - Typographical error on columns_settings.tt (2.89 KB, patch)
2015-03-20 10:24 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13872 - Typographical error on columns_settings.tt (2.94 KB, patch)
2015-03-22 18:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2015-03-19 02:53:41 UTC
The new help for Koha 3.18.5 has a typo in line 9 for "columsn" word.

The section name does not fit with the module i.e. title in staff client says "Columns settings" in help says "Column Settings" even title section doesn't follow coding guideline HTML4: Upper and lower cases in strings at wiki <http://wiki.koha-community.org/wiki/Coding_Guidelines#HTML4:_Upper_and_lower_cases_in_strings>
Comment 1 Héctor Eduardo Castro Avalos 2015-03-19 03:12:51 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-03-19 03:23:05 UTC
Sorry, Rewording test plan

Bug 13872 - Typographical error on columns_settings.tt

Test plan:
1) Go to url 'koha-tmpl/intranet-tmpl/prog/en/modules/help/admin/columns_settings.tt' line 9 and check the typo "columsn" and change for columns.
2) See also changes for Column settings to Columns settings at lines 3 and 15
3) Apply the patch
4) Repeat step 1 and chek if the typo is fixed or go to Administration > Additional parameters > Configure columns and go to Help page.

Sponsored-by: Universidad de El Salvador

Signed-off-by: Hector Eduardo Castro Avalos <hector.hecaxmmx@gmail.com>
Comment 3 Nicole C. Engard 2015-03-19 14:00:30 UTC
Thanks for finding the typo, but be aware that the help files haven't followed the capitalization rules in the past.  

Nicole
Comment 4 Héctor Eduardo Castro Avalos 2015-03-20 02:09:06 UTC
(In reply to Nicole C. Engard from comment #3)
> Thanks for finding the typo, but be aware that the help files haven't
> followed the capitalization rules in the past.  
> 
> Nicole

Hi Nicole

I will change the patch about the capitalization and let it as the original one, what would you recommend me to do?

By the way there are another typo in file: intranet-tmpl/prog/en/modules/help/admin/aqbudgets.tt:15

It reads: In the form that appears you wan to enter the basics about your fund.

I will file a new bug for the typo and link it with this as See also.

Regards
Comment 5 Marc Véron 2015-03-20 10:24:54 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2015-03-22 16:25:48 UTC
This is a-ok the way it was, just wanted you to know that you don't have to go through every help file and fix it because with the next release they'll probably get put back since I just copy from the manual and paste to the help files.

Nicole
Comment 7 Katrin Fischer 2015-03-22 18:47:28 UTC
Created attachment 37083 [details] [review]
[PASSED QA] Bug 13872 - Typographical error on columns_settings.tt

Test plan:
1) Go to url 'koha-tmpl/intranet-tmpl/prog/en/modules/help/admin/columns_settings.tt' line 9 and check the typo "columsn" and change for columns.
2) See also changes for Column settings to Columns settings at lines 3 and 15
3) Apply the patch
4) Repeat step 1 and chek if the typo is fixed or go to Administration > Additional parameters > Configure columns and go to Help page.

Sponsored-by: Universidad de El Salvador

Signed-off-by: Hector Eduardo Castro Avalos <hector.hecaxmmx@gmail.com>

Typo is fixed
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-03-25 14:29:54 UTC
Patch pushed to master.

Gracias Hector!
Comment 9 Chris Cormack 2015-03-28 00:01:14 UTC
Pushed to 3.18.x will be in 3.18.6